@extends('layouts.app')
@section('content')
<div class="container">

@if ($errors->any())
    <div class="alert alert-danger" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
        </button> 
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

@if( Session::has('mensaje') )
<div class="alert alert-success" role="alert">
    {{  Session::get('mensaje') }}
    <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
    </button>
     </div>

@elseif(Session::has('mensaje2'))
<div class="alert alert-danger" role="alert">
    {{  Session::get('mensaje2') }}

<button type="button" class="close" data-dismiss="alert" aria-label="Close" >
<span aria-hidden="true">&times;</span>
</button>
</div>
@endif


<a href="{{ url('departamento/create') }}" class="btn btn-success">Registrar nuevo departamento</a>
<br>
<br>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach ($departamentos as $departamento)
        <tr>
            <td>{{ $departamento->id }}</td>
            <td>{{ $departamento->dpto_name }}</td>
            <td>

            <a href="{{ url('/departamento/'.$departamento->id.'/edit') }}" class="btn btn-warning">
                Editar
            </a>
            |
        
            <form action="{{ url('/departamento/'.$departamento->id) }}" class="d-inline" method="post">
            @csrf
            {{ method_field('DELETE') }}
                <input class="btn btn-danger" type="submit" onclick="return confirm('Quieres borrar?')" value="Borrar">
            </form>
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
</div>
@endsection