@extends('layouts.app')
@section('content')
<div class="container">

    @if ($errors->any())
    <div class="alert alert-danger" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
        </button> 
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

@if( Session::has('mensaje') )
<div class="alert alert-success" role="alert">
    {{  Session::get('mensaje') }}
    <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
    </button>
     </div>

     @elseif(isset($mensaje2))
     <div class="alert alert-danger" role="alert">
         {{  $mensaje2 }}
 
     <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
     <span aria-hidden="true">&times;</span>
     </button>
     </div>
 @endif

<br>
<form action="{{ url('/departamento/reasignar/'.$id) }}" class="d-inline" method="post" enctype="multipart/form-data">
    @csrf
    {{ method_field('PATCH') }}
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Foto</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
            <th>Departamento</th>
        </tr>
    </thead>
    <tbody>
    @foreach ($empleados as $empleado)
        <tr>
            <td>{{ $empleado->id }}</td>
            <td>
            <img class="img-thumbnail img-fluid" src="{{ asset('storage').'/'.$empleado->Foto }}" width="100" alt="">    
            </td>
            <td>{{ $empleado->Nombre }}</td>
            <td>{{ $empleado->ApellidoPaterno }}</td>
            <td>{{ $empleado->ApellidoMaterno }}</td>
            <td>{{ $empleado->Correo }}</td>
            <td>
                <input type="hidden" name="empleado_id[]" value="{{ $empleado->id }}">
                <select id="dpto" class="form-control" name="departamento_id[]">
                <option value="" >Seleccione un departamento</option>
    
                    @if(isset($departamentos) )
                      @foreach($departamentos as $departamento)
                        <option value="{{ $departamento->id }}">{{ $departamento->dpto_name }}</option>
                      @endforeach
                    @endif
                  </select>
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
        <input class="btn btn-success" type="submit" value="Actualizar usuarios">
        <a class="btn btn-primary" href="{{ url('departamento/') }}">Regresar</a>
    </form>
</div>
@endsection