@extends('layouts.app')
@section('content')
<div class="container">

  @if ($errors->any())
    <div class="alert alert-danger" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
        </button> 
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

@if( Session::has('mensaje') )
    <div class="alert alert-danger" role="alert">
    {{  Session::get('mensaje') }}

<button type="button" class="close" data-dismiss="alert" aria-label="Close" >
<span aria-hidden="true">&times;</span>
</button>
</div>
@endif

<script language="javascript" type="text/javascript">
  function setVisible(id, visible) {
      var o = document.getElementById(id); //get the element based on it's id
  
      //if the element exists then set it's visiblity
      if (typeof(o) != 'undefined') o.style.visibility = visible ? 'visible' : 'hidden';
      if (typeof(o) == 'undefined') alert("Element with id '" + id + "' not found.");
  }
  
  function setDisplay(id, visible) {
      var o = document.getElementById(id);
      if (typeof(o) != 'undefined') o.style.display = visible ? 'block' : 'none';
      if (typeof(o) == 'undefined') alert("Element with id '" + id + "' not found.");
  }
  
  </script>

<br>
<h1>Reporte de usuarios</h1>

<form action="{{ url('/reporte/generar') }}" method="GET" id="reporte">
  @csrf

  <div class="form-check">
    <input class="form-check-input" type="radio" name="reporte" id="dptos" checked onclick="setDisplay('dpto', true); setDisplay('empleado', false);">
    <label class="form-check-label" for="dptos">Buscar por departamentos</label>
  </div>

  <div class="form-check">
    <input class="form-check-input" type="radio" name="reporte" id="empleados" onclick="setDisplay('empleado', true); setDisplay('dpto', false);" /> 
    <label class="form-check-label" for="empleados">Buscar usuarios</label>
  </div>

  <div class="form-group" id="dpto">
    <label for="Departamento"></label>
  
    <select id="dpto-list" class="form-control form-select-sm" name="reporte_id">
    <option value="0" selected>Seleccione un departamento...</option>
      @foreach($departamentos as $departamento)
      <option value="{{ $departamento->id }}">{{ $departamento->dpto_name }}</option>
      @endforeach
    </select>
  </div>

  <div class="form-group" style="display:none; margin-top:15px" id="empleado">
    <input type="text" class="form-control" name="buscar" id="buscar" placeholder="Buscar usuario"><br/>
    <label>Buscar en:</label><br/>
    <input type="checkbox" name="cols[]" value="Todos" checked> Todos <br/>
    <input type="checkbox" name="cols[]" value="ID"> ID <br/>
    <input type="checkbox" name="cols[]" value="Nombre"> Nombre <br/>
    <input type="checkbox" name="cols[]" value="ApellidoMaterno"> Apellido Materno <br/>
    <input type="checkbox" name="cols[]" value="ApellidoPaterno"> Apellido Paterno <br/>
    <input type="checkbox" name="cols[]" value="Correo"> Correo <br/>
   
  </div>

    
<br>
    <div class="form-group row">
      <div class="col-sm-9">
          <button type="submit" class="btn btn-primary">Generar informe</button>
      </div>
  </div>

</div>
@endsection